LILYPOND(1)

NAME
LilyPond - manual page for LilyPond 2.22.2

SYNOPSIS
lilypond [OPTION]... FILE...

DESCRIPTION
Typeset music and/or produce MIDI from FILE.

LilyPond produces beautiful music notation. For more information, see https://lilypond.org

OPTIONS

-f, --formats=FORMATs
    dump FORMAT,... Also as separate options:

--pdf
    generate PDF files (default)

--svg
    generate SVG files

--png
    generate PNG files

--ps
    generate PostScript files

-E, --eps
    generate Encapsulated PostScript files

-O, --pspdfopt=KEY
    set ps/pdf optimization to KEY, which is either 'size' (default), 'TeX', or 'TeX-GS'

-d, --define-default=SYM[=VAL]
    set Scheme option SYM to VAL (default: #t); use -dhelp for help

-e, --evaluate=EXPR
    evaluate scheme code

-h, --help
    show this help and exit

-H, --header=FIELD
    dump \header field FIELD to file named BASENAME.FIELD

-I, --include=DIR
    append DIR to search path

-i, --init=FILE
    use FILE as init file

-j, --jail=USER,GROUP,JAIL,DIR
    chroot to JAIL, become USER:GROUP and cd into DIR

-l, --loglevel=LOGLEVEL
    print log messages according to LOGLEVEL, which is either NONE, ERROR, WARNING, BASIC, PROGRESS, INFO (default), or DEBUG

-o, --output=FILE
    write output to FILE (suffix will be added) or to FOLDER, in which case the file name will be taken from the input file.

--relocate
    (ignored)

-s, --silent
    no progress, only error messages (equivalent to --loglevel=ERROR)

-v, --version
    show version number and exit

-V, --verbose
    be verbose (equivalent to --loglevel=DEBUG)

-w, --warranty
    show warranty and copyright

You found a bug? Please read https://lilypond.org/bug-reports.html

COPYRIGHT
Copyright © 1996--2021 by

    Han-Wen Nienhuys <hanwen@xs4all.nl> Jan Nieuwenhuizen <janneke@gnu.org> and others.

This program is free software. It is covered by the GNU General Public License and you are welcome to change it and/or distribute copies of it under certain conditions. Invoke as `lilypond --warranty' for more information.

SEE ALSO
The full documentation for LilyPond is maintained as a Texinfo manual. If the info and LilyPond programs are properly installed at your site, the command

    info LilyPond

should give you access to the complete manual.